Get Saved Applications Summaries

Get Saved Applications Summaries
Get saved application summaries in bulk

Get the summaries of saved applications in bulk, by providing a list of entity IDs.

Request
URI
GET
https://{api_host}/api/ni/groups/applications/fetch
COPY
Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response

number
modifiedAfter
Optional

timestamp after which apps has been modified

boolean
fetch_member_counts
Optional

True, if member counts should be fetched.

boolean
fetch_update_status
Optional

True, if the update status of the saved applications should be fetched.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedApplicationListResponse of type(s) application/json
{
    "results": [
        {
            "entity_id": "1000:104:12213212",
            "name": "My Name",
            "entity_type": "VirtualMachine",
            "create_time": 159724400600,
            "created_by": "admin@local",
            "last_modified_time": 159724400600,
            "last_modified_by": "[email protected]",
            "last_modified_by_service": "Ensemble",
            "tier_count": 25,
            "member_count": 500,
            "update_status": "string",
            "confidence": "Medium"
        }
    ],
    "cursor": "MTA=",
    "total_count": 1102
}
array of results
results
Optional

Array of returned applications

string
cursor
Optional

Cursor for the next page

integer
total_count
Optional

Total number of objects in the system, despite the page limit


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/fetch